Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net
Class AbstractSocketManager

    java.lang.Object
      org.apache.logging.log4j.core.appender.AbstractManager
          org.apache.logging.log4j.core.appender.OutputStreamManager
              org.apache.logging.log4j.core.net.AbstractSocketManager

Direct Known Subclasses:
  DatagramSocketManager, TcpSocketManager

    public abstract class AbstractSocketManager

extends OutputStreamManager

Abstract base class for managing sockets.

Field Summary
`protected String` | `host` The name of the host.
`protected InetAddress` | `inetAddress` The Internet address of the host.
`protected int` | `port` The port on the host.

Fields inherited from class org.apache.logging.log4j.core.appender.OutputStreamManager
`layout`

Fields inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`count, LOGGER`

Constructor Summary
`AbstractSocketManager(String name, OutputStream os, InetAddress inetAddress, String host, int port, Layout<? extends Serializable> layout)` The Constructor.

Method Summary
`Map<String,String>` | `getContentFormat()` Gets this AbstractSocketManager's content format.

Methods inherited from class org.apache.logging.log4j.core.appender.OutputStreamManager
`close, flush, getManager, getOutputStream, isOpen, releaseSub, setOutputStream, write, write, writeFooter`

Methods inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`getCount, getName, hasManager, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inetAddress

    protected final InetAddress inetAddress

  The Internet address of the host.

### host

    protected final String host

  The name of the host.

### port

    protected final int port

  The port on the host.

Constructor Detail

### AbstractSocketManager

    public AbstractSocketManager(String name,
                                 OutputStream os,
                                 InetAddress inetAddress,
                                 String host,
                                 int port,
                                 Layout<? extends Serializable> layout)

  The Constructor.

  Parameters:
    `name` - The unique name of this connection.
    `os` - The OutputStream to manage.
    `inetAddress` - The Internet address.
    `host` - The target host name.
    `port` - The target port number.

Method Detail

### getContentFormat

    public Map<String,String> getContentFormat()

  Gets this AbstractSocketManager's content format. Specified by:
  - Key: "port" Value: provided "port" param
  - Key: "address" Value: provided "address" param

  Overrides:
    `getContentFormat` in class `AbstractManager`
  Returns:
    Map of content format keys supporting AbstractSocketManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.